<template>
  <div class="m-detail">
    <a-row :gutter="16">
      <a-col :span="4" style="text-align: right">
        Groups
      </a-col>
      <a-col v-if="groups" :span="20">
        <div v-if="groups.length">
          <a-tag v-for="group in groups" :key="group" @close="remove(group)" closable>
            {{ group }}
          </a-tag>
        </div>
        <span v-else>-</span>
      </a-col>
    </a-row>

    <a-row :gutter="16">
      <a-col :span="4" style="text-align: right">
        Account Status
      </a-col>
      <a-col :span="20">
        {{ user.Enabled? 'Enabled':'Disabled' }}/{{ user.UserStatus }}
      </a-col>
    </a-row>

    <a-row :gutter="16">
      <a-col :span="4" style="text-align: right">
        Last Modified
      </a-col>
      <a-col :span="20">
        {{ user.UserLastModifiedDate | dayjs }}
      </a-col>
    </a-row>

    <a-row :gutter="16">
      <a-col :span="4" style="text-align: right">
        Created
      </a-col>
      <a-col :span="20">
        {{ user.UserCreateDate | dayjs }}
      </a-col>
    </a-row>

    <a-row v-for="att in user.UserAttributes" :key="att.Name" :gutter="16">
      <a-col :span="4" style="text-align: right">
        {{ att.Name }}
      </a-col>
      <a-col :span="20">
        {{ att.Value }}
      </a-col>
    </a-row>
  </div>
</template>
<script>
import { usersApi } from '~/api'

export default {
  props: {
    user: {
      type: Object,
      default: () => {}
    },
    groups: {
      type: Array,
      default: () => []
    }
  },

  methods: {
    async remove (GroupName) {
      await usersApi.addOrRemoveUserFromGroup({
        userName: this.user.Username,
        groupName: GroupName,
        isAdd: false
      })
      this.$emit('remove-group', GroupName)
    }
  }
}
</script>

<style scoped lang="scss">
.m-detail{
  .ant-row {
    margin-bottom: 16px;
    div:first-child{
      font-weight: bold
    }
  }
}
</style>
